# Makefile.in generated by automake 1.10.1 from Makefile.am.
# @configure_input@

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@


VPATH = @srcdir@
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
	$(srcdir)/mono-addins-gui.pc.in $(top_srcdir)/Makefile.include \
	ChangeLog
subdir = ./Mono.Addins.Gui
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES = mono-addins-gui.pc
am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgconfigdir)"
binSCRIPT_INSTALL = $(INSTALL_SCRIPT)
SCRIPTS = $(bin_SCRIPTS)
SOURCES =
DIST_SOURCES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
pkgconfigDATA_INSTALL = $(INSTALL_DATA)
DATA = $(pkgconfig_DATA)
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = @ACLOCAL@
AL = @AL@
AMTAR = @AMTAR@
API_VERSION = @API_VERSION@
AUTOCONF = @AUTOCONF@
AUTOHEADER = @AUTOHEADER@
AUTOMAKE = @AUTOMAKE@
AWK = @AWK@
CYGPATH_W = @CYGPATH_W@
DEFS = @DEFS@
ECHO_C = @ECHO_C@
ECHO_N = @ECHO_N@
ECHO_T = @ECHO_T@
GACUTIL = @GACUTIL@
GACUTIL_FLAGS = @GACUTIL_FLAGS@
GACUTIL_POLICY_FLAGS = @GACUTIL_POLICY_FLAGS@
GTK_SHARP_20_CFLAGS = @GTK_SHARP_20_CFLAGS@
GTK_SHARP_20_LIBS = @GTK_SHARP_20_LIBS@
INSTALL = @INSTALL@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
LIBOBJS = @LIBOBJS@
LIBS = @LIBS@
LTLIBOBJS = @LTLIBOBJS@
MAKEINFO = @MAKEINFO@
MCS = @MCS@
MKDIR_P = @MKDIR_P@
MONO_ADDINS_DEFAULT_LIB = @MONO_ADDINS_DEFAULT_LIB@
MONO_ADDINS_GUI_DEFAULT_LIB = @MONO_ADDINS_GUI_DEFAULT_LIB@
MONO_ADDINS_SETUP_DEFAULT_LIB = @MONO_ADDINS_SETUP_DEFAULT_LIB@
MONO_NUNIT_CFLAGS = @MONO_NUNIT_CFLAGS@
MONO_NUNIT_LIBS = @MONO_NUNIT_LIBS@
PACKAGE = @PACKAGE@
PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
PACKAGE_NAME = @PACKAGE_NAME@
PACKAGE_STRING = @PACKAGE_STRING@
PACKAGE_TARNAME = @PACKAGE_TARNAME@
PACKAGE_VERSION = @PACKAGE_VERSION@
PATH_SEPARATOR = @PATH_SEPARATOR@
PKG_CONFIG = @PKG_CONFIG@
POLICY_VERSIONS = @POLICY_VERSIONS@
SET_MAKE = @SET_MAKE@
SHELL = @SHELL@
STRIP = @STRIP@
VERSION = @VERSION@
abs_builddir = @abs_builddir@
abs_srcdir = @abs_srcdir@
abs_top_builddir = @abs_top_builddir@
abs_top_srcdir = @abs_top_srcdir@
am__leading_dot = @am__leading_dot@
am__tar = @am__tar@
am__untar = @am__untar@
bindir = @bindir@
build_alias = @build_alias@
builddir = @builddir@
datadir = @datadir@
datarootdir = @datarootdir@
docdir = @docdir@
dvidir = @dvidir@
exec_prefix = @exec_prefix@
host_alias = @host_alias@
htmldir = @htmldir@
includedir = @includedir@
infodir = @infodir@
install_sh = @install_sh@
libdir = @libdir@
libexecdir = @libexecdir@
localedir = @localedir@
localstatedir = @localstatedir@
mandir = @mandir@
mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@
pdfdir = @pdfdir@
prefix = @prefix@
program_transform_name = @program_transform_name@
psdir = @psdir@
sbindir = @sbindir@
sharedstatedir = @sharedstatedir@
srcdir = @srcdir@
sysconfdir = @sysconfdir@
target_alias = @target_alias@
top_builddir = @top_builddir@
top_srcdir = @top_srcdir@
KEY_FILE = $(top_srcdir)/mono-addins.snk
ASSEMBLY_COMPILER_COMMAND = mcs
ASSEMBLY_COMPILER_FLAGS = -keyfile:$(KEY_FILE) -noconfig -codepage:utf8 -warn:4 -debug -d:DEBUG
ASSEMBLY = ../bin/Mono.Addins.Gui.dll
ASSEMBLY_NAME = Mono.Addins.Gui
COMPILE_TARGET = library
PC_FILES_IN = mono-addins-gui.pc.in
PROJECT_REFERENCES = \
	../bin/Mono.Addins.dll \
	../bin/Mono.Addins.Setup.dll

BUILD_DIR = ../bin
FILES = \
	AssemblyInfo.cs \
	gtk-gui/generated.cs \
	gtk-gui/Mono.Addins.Gui.AddinInfoDialog.cs \
	gtk-gui/Mono.Addins.Gui.AddinInstallDialog.cs \
	gtk-gui/Mono.Addins.Gui.AddinInstallerDialog.cs \
	gtk-gui/Mono.Addins.Gui.AddinManagerDialog.cs \
	gtk-gui/Mono.Addins.Gui.ErrorDialog.cs \
	gtk-gui/Mono.Addins.Gui.ManageSitesDialog.cs \
	gtk-gui/Mono.Addins.Gui.NewSiteDialog.cs \
	gtk-gui/Mono.Addins.Gui.ProgressDialog.cs \
	Mono.Addins.Gui/AddinInfoDialog.cs \
	Mono.Addins.Gui/AddinInstallDialog.cs \
	Mono.Addins.Gui/AddinInstaller.cs \
	Mono.Addins.Gui/AddinInstallerDialog.cs \
	Mono.Addins.Gui/AddinManagerDialog.cs \
	Mono.Addins.Gui/AddinManagerWindow.cs \
	Mono.Addins.Gui/AddinTreeWidget.cs \
	Mono.Addins.Gui/ErrorDialog.cs \
	Mono.Addins.Gui/ManageSitesDialog.cs \
	Mono.Addins.Gui/NewSiteDialog.cs \
	Mono.Addins.Gui/ProgressDialog.cs \
	Mono.Addins.Gui/Services.cs 

DATA_FILES = 
RESOURCES = \
	gtk-gui/gui.stetic \
	icons/package-x-generic.png \
	icons/package-x-generic_16.png \
	icons/package-x-generic_22.png \
	icons/system-software-update.png \
	icons/user-package.png 

EXTRAS = \
	./Makefile.am 

REFERENCES = \
	-pkg:glib-sharp-2.0 \
	-pkg:gtk-sharp-2.0 \
	-r:Mono.Posix \
	-r:System

DLL_REFERENCES = 
@ENABLE_GUI_TRUE@build_sources = $(addprefix $(srcdir)/, $(FILES) $(GENERATED_FILES))
@ENABLE_GUI_TRUE@build_resources = $(addprefix $(srcdir)/, $(RESOURCES))
@ENABLE_GUI_TRUE@build_resources_embed = $(foreach res,$(build_resources), $(addprefix -resource:,$(res)),$(RESOURCES_PREFIX)$(notdir $(res)))
@ENABLE_GUI_TRUE@build_references_ref = $(REFERENCES) $(foreach ref, \
@ENABLE_GUI_TRUE@	$(DLL_REFERENCES), -r:$(ref)) $(foreach ref, \
@ENABLE_GUI_TRUE@	$(PROJECT_REFERENCES), -r:$(ref))
@ENABLE_GUI_TRUE@pc_files = $(PC_FILES_IN:.pc.in=.pc)
@ENABLE_GUI_TRUE@build_datafiles = $(addprefix $(BUILD_DIR)/, $(DATA_FILES))
@ENABLE_GUI_TRUE@POLICY_ASSEMBLIES = $(addsuffix .$(ASSEMBLY_NAME).dll, $(addprefix policy., $(POLICY_VERSIONS)))
@ENABLE_GUI_TRUE@POLICY_CONFIGS = $(addsuffix .config, $(addprefix policy., $(POLICY_VERSIONS)))
@ENABLE_GUI_TRUE@EXTRA_DIST = $(FILES) $(GENERATED_FILES) $(RESOURCES) $(ASSEMBLY_WRAPPER_IN) $(EXTRAS) $(DATA_FILES) $(PC_FILES_IN)
@ENABLE_GUI_TRUE@CLEANFILES = $(ASSEMBLY) $(ASSEMBLY).mdb \
@ENABLE_GUI_TRUE@	$(DLL_REFERENCES) $(POLICY_ASSEMBLIES) \
@ENABLE_GUI_TRUE@	$(POLICY_CONFIGS)
@ENABLE_GUI_TRUE@DISTCLEANFILES = $(GENERATED_FILES) $(build_datafiles) $(pc_files)
@ENABLE_GUI_TRUE@bin_SCRIPTS = $(ASSEMBLY_WRAPPER)
@ENABLE_GUI_TRUE@pkgconfigdir = $(libdir)/pkgconfig
@ENABLE_GUI_TRUE@pkgconfig_DATA = $(pc_files)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/Makefile.include $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  ./Mono.Addins.Gui/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  ./Mono.Addins.Gui/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
mono-addins-gui.pc: $(top_builddir)/config.status $(srcdir)/mono-addins-gui.pc.in
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  if test -f $$d$$p; then \
	    f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	    echo " $(binSCRIPT_INSTALL) '$$d$$p' '$(DESTDIR)$(bindir)/$$f'"; \
	    $(binSCRIPT_INSTALL) "$$d$$p" "$(DESTDIR)$(bindir)/$$f"; \
	  else :; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  f=`echo "$$p" | sed 's|^.*/||;$(transform)'`; \
	  echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
	  rm -f "$(DESTDIR)$(bindir)/$$f"; \
	done
install-pkgconfigDATA: $(pkgconfig_DATA)
	@$(NORMAL_INSTALL)
	test -z "$(pkgconfigdir)" || $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)"
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f=$(am__strip_dir) \
	  echo " $(pkgconfigDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
	  $(pkgconfigDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgconfigdir)/$$f"; \
	done

uninstall-pkgconfigDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(pkgconfig_DATA)'; for p in $$list; do \
	  f=$(am__strip_dir) \
	  echo " rm -f '$(DESTDIR)$(pkgconfigdir)/$$f'"; \
	  rm -f "$(DESTDIR)$(pkgconfigdir)/$$f"; \
	done
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \
	  dist_files=`for file in $$list; do echo $$file; done | \
	  sed -e "s|^$$srcdirstrip/||;t" \
	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
	case $$dist_files in \
	  */*) $(MKDIR_P) `echo "$$dist_files" | \
			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
			   sort -u` ;; \
	esac; \
	for file in $$dist_files; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  if test -d $$d/$$file; then \
	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(SCRIPTS) $(DATA)
installdirs:
	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgconfigdir)"; do \
	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
	done
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
@ENABLE_GUI_FALSE@uninstall-local:
@ENABLE_GUI_FALSE@install-data-local:
clean: clean-am

clean-am: clean-generic mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am: install-data-local install-pkgconfigDATA

install-dvi: install-dvi-am

install-exec-am: install-binSCRIPTS

install-html: install-html-am

install-info: install-info-am

install-man:

install-pdf: install-pdf-am

install-ps: install-ps-am

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-binSCRIPTS uninstall-local \
	uninstall-pkgconfigDATA

.MAKE: install-am install-strip

.PHONY: all all-am check check-am clean clean-generic distclean \
	distclean-generic distdir dvi dvi-am html html-am info info-am \
	install install-am install-binSCRIPTS install-data \
	install-data-am install-data-local install-dvi install-dvi-am \
	install-exec install-exec-am install-html install-html-am \
	install-info install-info-am install-man install-pdf \
	install-pdf-am install-pkgconfigDATA install-ps install-ps-am \
	install-strip installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-binSCRIPTS uninstall-local uninstall-pkgconfigDATA


@ENABLE_GUI_TRUE@all: $(ASSEMBLY)
@ENABLE_GUI_FALSE@all:

$(ASSEMBLY) $(ASSEMBLY).mdb: $(build_sources) $(build_resources) $(build_datafiles) $(POLICY_ASSEMBLIES)
	mkdir -p $(dir $(ASSEMBLY))		
	$(ASSEMBLY_COMPILER_COMMAND) $(ASSEMBLY_COMPILER_FLAGS) -out:$@ -target:$(COMPILE_TARGET) $(build_sources) $(build_resources_embed) $(build_references_ref)

@ENABLE_GUI_TRUE@install-data-local: gac-install

@ENABLE_GUI_TRUE@uninstall-local: gac-uninstall

@ENABLE_GUI_TRUE@$(build_datafiles): $(BUILD_DIR)/% : $(addprefix $(srcdir)/, %)
@ENABLE_GUI_TRUE@	mkdir -p $(dir $@)		
@ENABLE_GUI_TRUE@	cp $< $@

@ENABLE_GUI_TRUE@$(POLICY_ASSEMBLIES): $(top_builddir)/policy.config $(top_srcdir)/mono-addins.snk
@ENABLE_GUI_TRUE@	@for i in $(POLICY_VERSIONS); do	\
@ENABLE_GUI_TRUE@	  echo "Creating policy.$$i.$(ASSEMBLY_NAME)";	\
@ENABLE_GUI_TRUE@	  sed -e "s/@ASSEMBLY_NAME@/$(ASSEMBLY_NAME)/" -e "s/@POLICY@/$$i/" $(top_builddir)/policy.config > policy.$$i.config;	\
@ENABLE_GUI_TRUE@	  $(AL) -link:policy.$$i.config -out:policy.$$i.$(ASSEMBLY_NAME).dll -keyfile:$(top_srcdir)/mono-addins.snk;	\
@ENABLE_GUI_TRUE@	done

@ENABLE_GUI_TRUE@gac-install: $(POLICY_ASSEMBLIES)
@ENABLE_GUI_TRUE@	$(GACUTIL) /i $(ASSEMBLY) /f $(GACUTIL_FLAGS) || exit 1;
@ENABLE_GUI_TRUE@	@for p in $(POLICY_ASSEMBLIES); do \
@ENABLE_GUI_TRUE@		echo $(GACUTIL) /i $$p /f $(GACUTIL_POLICY_FLAGS) || exit 1; \
@ENABLE_GUI_TRUE@		$(GACUTIL) /i $$p /f $(GACUTIL_POLICY_FLAGS) || exit 1; \
@ENABLE_GUI_TRUE@	done

@ENABLE_GUI_TRUE@gac-uninstall:
@ENABLE_GUI_TRUE@	$(GACUTIL) /us $(ASSEMBLY) $(GACUTIL_FLAGS) || exit 1;
@ENABLE_GUI_TRUE@	@for p in $(POLICY_ASSEMBLIES); do \
@ENABLE_GUI_TRUE@		echo $(GACUTIL) /us $$p /f $(GACUTIL_POLICY_FLAGS) || exit 1; \
@ENABLE_GUI_TRUE@		$(GACUTIL) /us $$p /f $(GACUTIL_POLICY_FLAGS) || exit 1; \
@ENABLE_GUI_TRUE@	done
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
